Skip to main content
PUT
/
cleemy-procurement
/
services
/
inbox-documents
/
{id}
Update Inbox Document
curl --request PUT \
  --url https://{host}/cleemy-procurement/services/inbox-documents/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document": {
    "ownerId": 123,
    "type": "Invoice",
    "context": {
      "purchase": {
        "id": 123,
        "type": "Subscription"
      }
    },
    "documentDate": "2023-12-25",
    "documentNumber": "<string>",
    "amountIncludingTaxes": {
      "excludingTaxes": {
        "value": 123,
        "currency": "Invalid"
      },
      "taxes": [
        {
          "rateTypeId": 123,
          "value": 123,
          "currency": "Invalid"
        }
      ],
      "includingTaxes": {
        "value": 123,
        "currency": "Invalid"
      }
    },
    "accountingLabel": "<string>",
    "comment": "<string>",
    "intraCommunityTaxes": true,
    "dueDate": "2023-12-25",
    "paymentDetails": {
      "paymentMethod": "BankTransfer",
      "bankAccount": {
        "iban": "<string>",
        "bic": "<string>"
      }
    }
  },
  "action": {
    "type": "AttachPurchase",
    "purchaseId": 123,
    "paymentId": 123,
    "installmentId": 123,
    "disputeId": 123,
    "autoConfirmation": true
  }
}
'
{
  "id": 123,
  "document": {
    "id": 123,
    "owner": {
      "id": 123,
      "href": "<string>",
      "name": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "pictureHref": "<string>"
    },
    "type": "Invoice",
    "context": {
      "purchase": {
        "id": 123,
        "href": "<string>",
        "name": "<string>",
        "type": "Subscription"
      }
    },
    "documentBreakdown": {
      "id": 2,
      "href": "<string>",
      "name": "<string>"
    },
    "documentDate": "2023-12-25",
    "documentNumber": "<string>",
    "amountIncludingTaxes": {
      "excludingTaxes": {
        "value": 123,
        "currency": "Invalid"
      },
      "taxes": [
        {
          "rateTypeId": 123,
          "value": 123,
          "currency": "Invalid"
        }
      ],
      "includingTaxes": {
        "value": 123,
        "currency": "Invalid"
      }
    },
    "accountingLabel": "<string>",
    "comment": "<string>",
    "intraCommunityTaxes": true,
    "attachments": [
      {
        "id": 123,
        "file": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "href": "<string>",
          "name": "<string>",
          "displayHref": "<string>"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "pages": {
          "displayHrefTemplate": "<string>",
          "count": 123
        }
      }
    ],
    "ocrStatus": "Pending",
    "dueDate": "2023-12-25",
    "paymentDetails": {
      "paymentMethod": "BankTransfer",
      "bankAccount": {
        "iban": "<string>",
        "bic": "<string>"
      }
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "modifiedAt": "2023-11-07T05:31:56Z",
    "author": {
      "id": 123,
      "href": "<string>",
      "name": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "pictureHref": "<string>"
    },
    "modifier": {
      "id": 123,
      "href": "<string>",
      "name": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "pictureHref": "<string>"
    }
  },
  "source": {
    "type": "<string>"
  },
  "action": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "modifier": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the inbox document.

Body

application/json

Inbox document data to update.

Payload for updating an inbox document.

document
object

Document fields to update.

action
AttachPurchase · object

Optional action to perform (attach or create a purchase).

Response

200 - application/json

OK

A document in the inbox, pending processing.

id
integer<int32>
document
document · object

An invoice document (before booking).

source
object

Source of the document (e.g. email, upload).

action
object

Available action on this inbox document.

createdAt
string<date-time>
modifiedAt
string<date-time>
author
Reference to a user · object

Reference to a user.

modifier
Reference to a user · object

Reference to a user.